function leb=lebesgue(X)
% Enhanced Anomaly Scores for Isolation Forest, v1.0, 2024
% (c) A. Mensi
%
% Lebesgue volume calculation of a vectorial dataset X

if size(X,2)~=1
    ll=max(X)-min(X);
    ll(ll==0)=[];
    leb=prod(ll);
else
    leb=max(X)-min(X);
end
end