
####Enhanced Anomaly Scores for Isolation Forests

This package implements several novel variants of the anomaly score that can be used in Isolation Forest based methodologies. The implementation uses the standard Isolation Forest training variant but can be adapted to other training variants.

CITATION: If you use this methodology in your work, please cite the following paper:
[1] Mensi, A., & Bicego, M. (2021). Enhanced anomaly scores for isolation forests. Pattern Recognition, 120, 108115.

EXAMPLE USAGE: The script "main.m" computes the average AUC for the Annthyroid dataset using different anomaly scores. The experiment replicates the results depicted in Table 6 of the paper.

DATASET: The original version of the Annthyroid dataset used in the example can be found at https://archive.ics.uci.edu/dataset/102/thyroid+disease
[2] Quinlan, R. (1986). Thyroid Disease [Dataset]. UCI Machine Learning Repository. https://doi.org/10.24432/C5D010.


REQUIREMENTS: Please note that the code has been testes on MATLAB R2024b. Adjustments might be needed for earlier versions. Further, the Symbolic Math Toolbox is required to run the code.  

