function paths = getPaths(tree)
% Enhanced Anomaly Scores for Isolation Forest, v1.0, 2024
% (c) A. Mensi
paths=[];
if tree.isLeaf
    paths = str2double(tree.path);
    return;
else
    temp =  getPaths(tree.left);
    paths = [paths; temp];
    temp = getPaths(tree.right);
    paths = [paths; temp];
end
end
